# Ferramenta de Programação

Ian
Reinhart
Geiser

     geiseri@kde.org

01-06-2006
Ambiente de Trabalho K
makekdewidgets
1

# makekdewidgets

Cria 'plugins' de elementos gráficos do &Qt; a partir de um arquivo de descrição do estilo INI.

    makekdewidgets opções do &Qt; opções do &kde; arquivo

## Descrição

O `makekdewidgets` cria 'plugins' de elementos gráficos do &Qt; a partir de um arquivo de descrição do estilo INI.

## Opções

### Argumentos:

arquivo

  Arquivo de entrada

### Opções:

`-o <arquivo>`

  Arquivo de saída

`-n <nome do 'plugin'>`

  O nome da classe do 'plugin' a gerar [WidgetsPlugin]

`-g <grupo>`

  O nome do grupo padrão de elementos onde mostrar no desenhador [Custom]

`-p <pasta de imagens>`

  Incorporar as imagens de uma pasta de origem

### Opções genéricas:

`--help`

  Mostra a ajuda sobre as opções.

`--help-qt`

  Mostrar as opções específicas do &Qt;

`--help-kde`

  Mostra opções específicas do &kde;.

`--help-all`

  Mostrar todas as opções

`--author`

  Mostra informações sobre o autor.

`-v, --version`

  Mostra a versão.

`--license`

  Mostra informações sobre a licença

### Opções do &kde;:

`--caption <título>`

  utiliza o 'caption' como nome na barra de título

`--icon <ícone>`

  utiliza o 'icon' como o ícone do aplicativo

`--miniicon <ícone>`

  utiliza o 'icon' como o ícone do aplicativo

`--config <arquivo>`

  Usar o arquivo de configuração alternativo

`--dcopserver <servidor>`

  Usar o servidor de &DCOP; indicado pelo 'servidor'

`--nocrashhandler`

  Desativar o tratamento de estouros para obter os arquivos 'core'

`--waitforwm`

  Espera um gerenciador de janelas compatível com WM_NET

`--style <estilo>`

  Configura o estilo da &GUI; do aplicativo

`--geometry <geometria>`

  Define a geometria do cliente da janela principal - veja o 'man X' para obter o formato dos argumentos

### Opções do &Qt;:

`--display <nome-tela>`

  Utilizar a tela do servidor de X 'nome-tela'

`--session <id-sessão>`

  Restaurar o aplicativo com o 'ID-sessão' fornecido

`--cmap`

  Faz com que o aplicativo instale um mapa de cores privado em uma tela de 8 bits

`--ncols <quantidade>`

  Limita o número de cores reservadas no cubo de cores para uma tela de 8 bits, se o aplicativo estiver usando a especificações de cores QApplication::ManyColor

`--nograb`

  Diz ao &Qt; para nunca capturar o mouse ou o teclado

`--sync`

  Muda para o modo síncrono, para fins de depuração

`--fn, --font <nome-fonte>`

  Define o tipo de fonte do aplicativo

`--bg, --background <cor>`

  Define a cor de fundo padrão, bem como uma paleta do aplicativo (os tons claros e escuros são calculados)

`--fg, --foreground <cor>`

  Altera a cor padrão do texto

`--btn, --button <cor>`

  Altera a cor padrão dos botões

`--name <nome>`

  Define o nome do aplicativo

`--title <título>`

  Define o título (legenda) do aplicativo

`--visual TrueColor`

  Obriga o aplicativo a usar um visual TrueColor em uma tela de 8 bits

`--inputstyle <estilo-entrada>`

  Define o estilo de inserção de dados do XIM (X Input Method). Os valores possíveis são 'onthespot', 'overthespot', 'offthespot' e 'root'

`--im <servidor de XIM>`

  Define o servidor de XIM

`--noxim`

  Desativa o XIM

`--reverse`

  Inverte por completo a disposição dos elementos gráficos

## Veja Também

`http://developer.kde.org`

  Página do Canto do Programador do &kde;

## Problemas

Use por favor o bugs.kde.org para reportar erros; não os envie diretamente para os autores por e-mail.